JomSocial 4.4 System Requirements

Joomla! Requirements for Jomsocial 4.4 and later versions

JomSocial is an extension for Joomla. To be able to use JomSocial, you would first need to install Joomla on your web host.

We recommend using the latest stable version of Joomla to enjoy its latest features and security improvements. JomSocial 4.4 supports the minimum of:

  • Joomla! 3.7.5 and above

To see full compatibility sheet list, please, visit this page

Server Requirements

  1. PHP 5.3.11 or above
  2. MySQL 5.1 or above (5.5.3 for Emoji support)
    • Temporary Tables - Your database user must have the privilege to create temporary tables.
  3. JomSocial also requires several PHP extensions, which are available in most webhosting providers:
  4. For video uploads, you will need:
    • FFMPEG - to convert uploaded videos. Most shared webhosting providers disable this option because it consumes a lot of memory and processing power. Please consult your webhosting provider regarding the availability of FFMPEG on your server. It is advisable to at least have VPS before you consider allowing video uploading.
    • exec/passthru/shell_exec/system access
    • (Optional) FLVTool2 -, for adding metadata to your video
  5. Cron Jobs.- To trigger emails ready to be send, as well as triggering the FFMPEG to convert videos
Note in ImageMagick: To process images, photo upload relies heavily on the GD Library, which uses a lot of memory. For better performance, use ImageMagick instead, if your server supports it.
If you want to allow big images and video files upload (over 1GB) please, check full requirements here

System Specifications

PHP and MySQL Configurations

To be able to install JomSocial, your server PHP and MySQL environment will have to meet these specifications
File
Value
Minimum
Recommended
php.ini
max_execution_time
30
300
php.ini
max_input_time
30
300
php.ini
memory_limit
128M
1024M
php.ini
post_max_size
20M
4096M
php.ini
upload_max_filesize
20M
4096M
my.cnf
connect_timeout
10
120
my.cnf
wait_timeout
10
120

How to Check for System Specifications

You can check most of the requirements below by accessing Joomla's backend via your Administrator Panel and going to System > System Information and PHP Information tab. However, for the most complete overview of your server configuration, contact your webhosting provider.

Jsysinfo.png
Jphpinfo.png

Additional Requirements

Disable safe_mode and open_basedir Some webhosting providers have safe_mode and openbase_dir enabled. In order for the photo/video upload to work, you have to disable them. If your webhosting provier allows you to override the Apache's configuration, you need to override the vhost configuration.

  1. php_admin_flag safe_mode off
  2. php_admin_value open_basedir none

If your webhosting provider allows for .htaccess override, locate your .htaccess file in the Joomla root directory and add these lines into it:

  1. php_admin_flag safe_mode off
  2. php_admin_value open_basedir none

A Note on PHP Memory Requirements

JomSocial is developed to run adequately on a system with just 32MB of memory allocated to PHP. However, please note that the development site uses the default template with no additional third-party modules or plugins enabled. Sites with third-party plugins and modules enabled will consume a lot more memory; thus, we recommend that you increase your memory limit.

That having been said, since all applications will run better with more memory, we recommend that you allocate at least 256MB of memory to PHP. The following tasks will consume a lot of memory:

  1. resizing uploaded user avatar
  2. resizing any photos or gif animation uploaded by user
  3. converting uploaded videos to .mp4

See Also